<!DOCTYPE html>
<html lang="ru">

<head>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Создание HTML-кода. Итоги</title>
<link rel="stylesheet" type="text/css" href="file.css">
</head>

<body>

<h1>Создание HTML-кода. Итоги</h1>

<?php

//Загрузка файла параметров

require "parametry2.php";

//Получение и обработка данных формы

if ($_SERVER["REQUEST_METHOD"] == "POST")

{
$VariantSozdaniya = $_POST['VariantSozdaniya'];

$AdrSajta = trim(strip_tags($_POST['AdrSajta']));
$TargetBlank = $_POST['TargetBlank'];

$Zagolovok = trim(strip_tags($_POST['Zagolovok']));
$KlassZagolovka = trim(strip_tags($_POST['KlassZagolovka']));
$CSS = trim(strip_tags($_POST['CSS']));
			
$KlyuchSlova = trim(strip_tags($_POST['KlyuchSlova']));
$DrTablica = trim(strip_tags($_POST['DrTablica'])) * 1;
$DrTablicaClass = trim(strip_tags($_POST['DrTablicaClass']));

$Ostanovki = trim(strip_tags($_POST['Ostanovki'])) * 1;
$Opisanie = nl2br($_POST['Opisanie'], false);

$KolichestvoFoto = trim(strip_tags($_POST['KolichestvoFoto'])) * 1;
$PapkaRisunkov = trim(strip_tags($_POST['PapkaRisunkov']));
$RisunokSsylka = $_POST['RisunokSsylka'];
$FotoVariant = $_POST['FotoVariant'];
$DoRisunka = $_POST['DoRisunka'];
$PosleRisunka = $_POST['PosleRisunka'];						
$ShirinaST = trim(strip_tags($_POST['ShirinaST'])) * 1;
$VysotaST = trim(strip_tags($_POST['VysotaST'])) * 1;
$ShirinaVR = trim(strip_tags($_POST['ShirinaVR'])) * 1;
$VysotaVR = trim(strip_tags($_POST['VysotaVR'])) * 1;			
$RisunkaRasshirenie = trim(strip_tags($_POST['RisunkaRasshirenie']));
$ImyaMalRisunka = trim(strip_tags($_POST['ImyaMalRisunka']));
$ImyaKrupnRisunka = trim(strip_tags($_POST['ImyaKrupnRisunka']));			
$PodpisRisunka = $_POST['PodpisRisunka'];
$ZamText = trim(strip_tags($_POST['ZamText']));

$Menu = trim(strip_tags($_POST['Menu']));
$RasshirenieStranicy = trim(strip_tags($_POST['RasshirenieStranicy']));
$StrokiGotovo = trim(strip_tags($_POST['StrokiGotovo'])) * 1;
$StolbciGotovo = trim(strip_tags($_POST['StolbciGotovo'])) * 1;

//Предупреждение о совпадении имён рисунков
if ($ImyaMalRisunka == $ImyaKrupnRisunka && $RisunokSsylka == "Da") {
	echo "<b>Пожалуйста, обратите внимание: имена больших и малых рисунков совпадают</b> (малый рисунок является гиперссылкой на самого себя).<br><br>";	}

//Имя и адрес готовой страницы
if (strlen($PapkaRisunkov) > 0)
{
	$FileName = $PapkaRisunkov;
	$FilePapka = "/$PapkaRisunkov";
}
	
else
{
	$FileName = "stranica";
	$FilePapka = "";
}

echo "
Отсюда можно скопировать <b>имя и адрес страницы</b><br>

<textarea readonly rows=\"18\" cols=\"$StolbciGotovo\" class=\"Adres\">
ИМЯ готовой страницы
$FileName.$RasshirenieStranicy

АДРЕСА
«Внутренний» (для использования внутри сайта, на страницах с тегом base href):
$FilePapka/$FileName.$RasshirenieStranicy

Полный – с адресом сайта:
$AdrSajta$FilePapka/$FileName.$RasshirenieStranicy

ГИПЕРССЫЛКИ
Краткая:
<a href=\"$FilePapka/$FileName.$RasshirenieStranicy\">$Zagolovok</a>

С адресом сайта:
<a href=\"$AdrSajta$FilePapka/$FileName.$RasshirenieStranicy\">$Zagolovok</a>

</textarea>
<br><br>

";

//Поле с готовым HTML-кодом
echo
"<b>Готовый HTML-код</b><br>
<textarea readonly rows=\"$StrokiGotovo\" cols=\"$StolbciGotovo\" class=\"Rezultat\">";

//Начало. Будет сгенерировано, если создаётся новая страница

if($VariantSozdaniya == "Nov")
	{
echo 
"
$NachaloDocumenta
<meta name=\"keywords\" content=\"$KlyuchSlova\">
<title>$Zagolovok</title>
";

if ($TargetBlank == "Da")
{echo "<base href=\"$AdrSajta\" target=\"_blank\">"; }
else {echo "<base href=\"$AdrSajta\">"; }

echo "
<link rel=\"stylesheet\" type=\"text/css\" href=\"$CSS.css\">
</head>

<body>

<main>

<h1 class=\"$KlassZagolovka\">$Zagolovok</h1>
";

	}

else {
	echo "<!-- Выбрано добавление информации на существующую страницу -->";
	}

//Варианты блока рисунков (div, таблица, параграфы…)

if ($FotoVariant == "DIV")
	{
	$FotoNachalo = $NachaloRisunokDIV;
	$FotoKonec = $KonecRisunokDIV;
	$PeredBlokomRisunkov = $NachaloVsegoBlokaRisunkov;
	$PosleBlokaRisunkov = $KonecVsegoBlokaRisunkov;
	}

elseif ($FotoVariant == "Tablica")	
	{
	$FotoNachalo = $NachaloFotoStroki;
	$FotoKonec = $KonecFotoStroki;
	$PeredBlokomRisunkov = $NachaloFotoTablicy;
	$PosleBlokaRisunkov = $KonecFotoTablicy;
	}

elseif ($FotoVariant == "Paragraf")
	{
	$FotoNachalo = $NachaloFotoParagrafa;
	$FotoKonec = $KonecFotoParagrafa;
	$PeredBlokomRisunkov = "";
	$PosleBlokaRisunkov = "";
	}

elseif ($FotoVariant == "Stroka")
	{
	$FotoNachalo = $PerenosFotoStroki;
	$FotoKonec = $PerenosFotoStroki;
	$PeredBlokomRisunkov = "";
	$PosleBlokaRisunkov = "";
	}

else
	{
	$FotoNachalo = $DoRisunka;
	$FotoKonec = $PosleRisunka;
	$PeredBlokomRisunkov = "";
	$PosleBlokaRisunkov = "";
	}

//СОЗДАНИЕ БЛОКА РИСУНКОВ

if ($KolichestvoFoto > 0)
	{

if (strlen($PapkaRisunkov) > 0) {$PapkaSRisunkami = "/$PapkaRisunkov";}
else {$PapkaSRisunkami = "";}

echo "
<!-- Начало блока рисунков -->

$PeredBlokomRisunkov
";

$Risunki = 1;
while ($Risunki <= $KolichestvoFoto)
	{					 		
	echo "
$FotoNachalo
";

$Razmer = getimagesize("risunki/$ImyaMalRisunka($Risunki).$RisunkaRasshirenie");

//Следующие несколько строк выполняются, если рисунки являются гиперссылками
if ($RisunokSsylka == "Da")
	{
	
if (strlen($ImyaKrupnRisunka) > 0)
{echo "<a href=\"$PapkaSRisunkami/$ImyaKrupnRisunka($Risunki).$RisunkaRasshirenie\">";}
	else {echo "<a href=\"$PapkaSRisunkami/$Risunki.$RisunkaRasshirenie\">";}
	}

//Размещение рисунков на странице		
if ($Razmer[0] == $ShirinaST && $Razmer[1] == $VysotaST)
	{echo "
<img src=\"$PapkaSRisunkami/$ImyaMalRisunka($Risunki).$RisunkaRasshirenie\" class=\"standart\" alt=\"$ZamText\">";}

elseif ($Razmer[0] == $ShirinaVR && $Razmer[1] == $VysotaVR)
	{echo "
<img src=\"$PapkaSRisunkami/$ImyaMalRisunka($Risunki).$RisunkaRasshirenie\" class=\"vertical\" alt=\"$ZamText\">";}

else
	{echo "
<img src=\"$PapkaSRisunkami/$ImyaMalRisunka($Risunki).$RisunkaRasshirenie\" class=\"abc\" width=\"$Razmer[0]\" height=\"$Razmer[1]\" alt=\"$ZamText\">";}

//Следующая строка: вставка закрывающего тега гиперссылки, если рисунки являются таковыми
if ($RisunokSsylka == "Da") {echo "</a>";}

echo "<br>
$PodpisRisunka
$FotoKonec
";

	$Risunki++;
	}

echo "
$PosleBlokaRisunkov
<!-- Конец блока рисунков -->
";

	}

//Вставка таблицы с разным содержимым

if ($DrTablica > 0)
	{
echo "
<!-- Таблица с разным содержимым -->
<table class=\"$DrTablicaClass\">
";

$StrokiTabl3 = 1;

for ($StrokiTabl3 = 1; $StrokiTabl3 <= $DrTablica; $StrokiTabl3++)
	{echo 
"$Stroka3
";	}

echo "</table>
<!-- Конец таблицы -->
";
	}

//Таблица расписания

if ($Ostanovki > 0)
	{
echo "
<!-- Таблица расписания -->
Расписание:<br>
<table class=\"$TableRaspClass\">
";

$Punkt = 1;

while ($Punkt <= $Ostanovki)
	{
echo "
$NachaloStrokiRasp
$KonecStrokiRasp";
	$Punkt++;
	}

echo "</table>
<!-- Конец таблицы расписания -->
";

	}

//Рассказ

echo "
<!-- Рассказ (текст), введённый в соответствующее поле -->
<p>
$Opisanie
</p>
<!-- Конец рассказа -->

";

//Меню и конец документа (генерируются, если выбрано создание новой страницы)

if($VariantSozdaniya == "Nov")	
	{
	echo "
</main>";

	if (strlen ($Menu) > 0) {
	echo "
<!-- Меню. Ниже будет конец документа -->
<iframe src=\"$Menu\">
</iframe>
<br>
";
	}

echo "
</body>
</html>
";
	}

echo "</textarea>";

}

	else {echo "<br>Результаты появятся после передачи данных <a href=\"/text-risunok.php\">с первой страницы</a>.<br>";}

?>

<br>
<a href="index.htm">ПЕРЕЙТИ К МЕНЮ</a><br><br>

</body>
</html>