<!DOCTYPE html>
<html lang="ru">

<head>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Создание HTML-кода (рисунки, текст, таблицы)</title>
<link rel="stylesheet" type="text/css" href="file.css">
<base target="_blank">
</head>

<body>

<h1>Создание HTML-кода (рисунки, текст, таблицы)</h1>

Если каких-то элементов (рисунков, таблиц) не будет на создаваемой странице – оставьте 0 в соответствующем поле<br>

<?php

//Загрузка файла параметров. Вставка стандартных параметров при его отсутствии

if(file_exists ("parametry1.php")) 
{
	include "parametry1.php";
	echo "Успешно загружены параметры из файла parametry1.php<br><br>";}

	else
	{
		echo "<b>Внимание! Файл параметров не найден</b>. В поля вставлены стандартные значения. Если файл parametry1.php существует – поместите, пожалуйста, в папку с программой
		<br><br>
		";
		
		$AdresSayta = "";
		$StandartZagolovok = "Заголовок";
		$FileCSS = "/";
		$Keywords = "Ключевые слова";
		$StandartOpisanie = "";
		$StandartShirina = "200";
		$StandartVysota = "150";
		$VerticalShirina = "150";
		$VerticalVysota = "200";
		$RasshirenieRisunka = "JPG";
		$StandartImyaMal = "mal";
		$StandartImyaKrupn = "krupn";
		$StandartPodpisRisunka = "Рисунок";
		$StandartZamTextRisunka = "Изображение";
		$FileMenu = "/";
		
	}

//Форма ввода данных для создания HTML-кода

echo "
<form action=\"text-risunok-2.php\" method=\"post\" name=\"sozdanie\">

<fieldset>
<legend>Вариант генерации HTML-кода</legend>

<label>
<input type=\"radio\" name=\"VariantSozdaniya\" value=\"Nov\" checked>Новая страница</label><br>

<label>
<input type=\"radio\" name=\"VariantSozdaniya\" value=\"Dob\">Добавление информации на существующую аналогичную страницу.</label> Генерация лишних элементов (head, заголовок, меню, открывающие и закрывающие теги body, html) будет отключена<br>
</fieldset>

<br><br>

<fieldset>
<legend>Адрес сайта, заголовок, CSS</legend><br>

<b>Адрес</b> вашего сайта (для тега base href). Без символа «/» в конце<br>
<input class=\"vvod\" type=\"text\" size=\"120\" name=\"AdrSajta\" value=\"$AdresSayta\"><br>

<label>
<input type=\"checkbox\" name=\"TargetBlank\" value=\"Da\" checked>
Включить открытие гиперссылок в новом окне / вкладке</label><br>
Если ссылки должны открываться в текущем окне, отключите флажок<br><br>

<b>Заголовок h1</b><br>
<input class=\"vvod\" type=\"text\" size=\"120\" name=\"Zagolovok\" value=\"$StandartZagolovok\" autofocus><br><br>

Класс заголовка:<br>
<input class=\"vvod\" type=\"text\" size=\"40\" name=\"KlassZagolovka\" value=\"$StandartKlassZagolovka\"><br><br>

<b>Путь к таблице стилей (CSS)</b> для создаваемой страницы (/папка/файл)<br>
<input class=\"vvod\" type=\"text\" size=\"120\" name=\"CSS\" value=\"$FileCSS\"><br>
Расширение .css не указывайте – программа добавит автоматически<br>
</fieldset>

<br><br>

<fieldset>
<legend>
Ключевые слова, рассказ, таблицы</legend><br>

<b>Ключевые слова</b> (тег keywords). Пожалуйста, разделите их запятыми<br>
<input class=\"vvod\" type=\"text\" size=\"120\" name=\"KlyuchSlova\" value=\"$Keywords\"><br><br>

<b>Таблица с разным содержимым</b><br>
Структура строки задана в конце файла parametry2.php; там можно указать и стандартное содержимое ячеек<br>
Количество строк:
<input class=\"vvod\" type=\"text\" size=\"10\" name=\"DrTablica\" value=\"0\">
И класс:
<input class=\"vvod\" type=\"text\" size=\"40\" name=\"DrTablicaClass\" value=\"$StandartKlassDrTablicy\"><br><br>


<b>Таблица расписания</b>. Сколько должно быть строк:<br>
<input class=\"vvod\" type=\"text\" size=\"10\" name=\"Ostanovki\" value=\"0\"><br><br>

<b>Рассказ, предназначенный для посетителей сайта</b><br>
Можно вводить HTML-теги. Переносы строк сохранятся.<br>
<textarea name=\"Opisanie\" rows=\"20\" cols=\"120\" class=\"textpole\">
$StandartOpisanie
</textarea><br>
</fieldset>

<br><br>

<fieldset>
<legend>
Рисунки (фотографии)</legend><br>

<b>Количество рисунков</b> на создаваемой странице<br>
<input class=\"vvod\" type=\"text\" size=\"10\" name=\"KolichestvoFoto\" value=\"0\"><br><br>

<b>Не забудьте</b> переименовать рисунки по шаблону imya(1), imya(2) и поместить в папку <b>risunki</b> (чтобы программа прочитала параметры)<br><br>

<b>Папка</b> сайта с рисунками создаваемой страницы<br>
<input class=\"vvod\" type=\"text\" size=\"40\" name=\"PapkaRisunkov\"><br><br>

Будут ли рисунки на странице гиперссылками?<br>
<label>
<input type=\"radio\" name=\"RisunokSsylka\" value=\"Da\" checked> Да. Рисунки страницы являются ссылками на аналогичные большие изображения</label><br>

<label>
<input type=\"radio\" name=\"RisunokSsylka\" value=\"Net\"> Нет</label>. Это не помешает позднее добавить код гиперссылки к одному или нескольким рисункам
<br><br>

Как будет <b>выглядеть</b> блок рисунков?<br>

<label>
<input type=\"radio\" name=\"FotoVariant\" value=\"DIV\" checked> Блоки div</label><br>

<label>
<input type=\"radio\" name=\"FotoVariant\" value=\"Tablica\"> Таблица</label><br>

<label>
<input type=\"radio\" name=\"FotoVariant\" value=\"Paragraf\"> Параграфы</label><br>

<label>
<input type=\"radio\" name=\"FotoVariant\" value=\"Stroka\"> Рисунки отделяются переносами строк</label><br>

<label>
<input type=\"radio\" name=\"FotoVariant\" value=\"Drugoe\"> С другими разделителями (укажите ниже)</label><br>

Перед рисунком:<br>
<input class=\"vvod\" type=\"text\" size=\"120\" name=\"DoRisunka\" value=\"$DrTagPeredRisunkom\"><br>
После рисунка и подписи к нему:<br>
<input class=\"vvod\" type=\"text\" size=\"120\" name=\"PosleRisunka\" value=\"$DrTagPosleRisunka\"><br><br>


Размеры размещаемого на странице рисунка, при которых присваивается «стандартный» класс (img class=\"standart\")<br>
Ширина: <input class=\"vvod\" type=\"text\" size=\"10\" name=\"ShirinaST\" value=\"$StandartShirina\"> 
Высота: <input class=\"vvod\" type=\"text\" size=\"10\" name=\"VysotaST\" value=\"$StandartVysota\"><br><br>

Размеры вертикального рисунка (img class=\"vertical\")<br>
Ширина: <input class=\"vvod\" type=\"text\" size=\"10\" name=\"ShirinaVR\" value=\"$VerticalShirina\"> 
Высота: <input class=\"vvod\" type=\"text\" size=\"10\" name=\"VysotaVR\" value=\"$VerticalVysota\"><br><br>


Расширение рисунка (обратите внимание на регистр)<br>
<input class=\"vvod\" type=\"text\" size=\"10\" name=\"RisunkaRasshirenie\" value=\"$RasshirenieRisunka\"><br><br>

Если рисунки являются гиперссылками, следующие 2 имени должны быть <b>разными</b><br><br>

Шаблон (постоянная часть) имени рисунка, расположенного на странице<br>
<input class=\"vvod\" type=\"text\" size=\"120\" name=\"ImyaMalRisunka\" value=\"$StandartImyaMal\"><br><br>

Шаблон имени крупного рисунка (на что ссылается малый рисунок со страницы)<br>
<input class=\"vvod\" type=\"text\" size=\"120\" name=\"ImyaKrupnRisunka\" value=\"$StandartImyaKrupn\"><br><br>

Стандартная видимая подпись к рисунку (можно с HTML-тегами)<br>
<input class=\"vvod\" type=\"text\" size=\"120\" name=\"PodpisRisunka\" value=\"$StandartPodpisRisunka\"><br><br>

Стандартный замещающий текст рисунка (HTML-тег alt)<br>
<input class=\"vvod\" type=\"text\" size=\"120\" name=\"ZamText\" value=\"$StandartZamTextRisunka\">
</fieldset>

<br><br>

<fieldset>
<legend>Меню</legend><br>

<b>Путь к меню</b> (/папка/файл). Имя файла укажите полностью, с расширением<br>
<input class=\"vvod\" type=\"text\" size=\"120\" name=\"Menu\" value=\"$FileMenu\"><br><br>
Если блок меню (iframe) включать не нужно, очистите поле
</fieldset>

<br><br>

<fieldset>
<legend>
Другие параметры</legend><br>

Вы планируете сохранить готовый HTML-файл с расширением:<br>
<input class=\"vvod\" type=\"text\" size=\"40\" name=\"RasshirenieStranicy\" value=\"$StandartRasshirenie\"><br><br>

Размеры поля с готовым HTML-кодом<br>
Строки: <input class=\"vvod\" type=\"text\" size=\"10\" name=\"StrokiGotovo\" value=\"80\">
Столбцы: <input class=\"vvod\" type=\"text\" size=\"10\" name=\"StolbciGotovo\" value=\"130\">
</fieldset>

<br>
<input type=\"submit\" value=\"НАЖМИТЕ ДЛЯ СОЗДАНИЯ HTML-КОДА\" class=\"knopka\">
<input type=\"reset\" value=\"Сброс. Не нажимайте без необходимости!\" class=\"ochistka\">
</form>
";

?>

<br>
<a href="index.htm" target="_self">ПЕРЕЙТИ К МЕНЮ</a>
<br><br>

</body>
</html>